Developers
API ReferenceTask Checklist Item

Creates a TaskChecklistItem resource

POST
/project/task-checklist-items

Creates a TaskChecklistItem resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Request Body

The new TaskChecklistItem resource

TypeScript Definitions

Use the request body type in TypeScript.

identifier*string
Formatuuid
name*string
Lengthlength <= 240
taskChecklist*string
Formatuuid

Response Body

curl -X POST "https://example.com/project/task-checklist-items" \  -H "Content-Type: application/json" \  -d '{    "identifier": "14d3030c-3b61-4070-b902-342f80e99364",    "name": "string",    "taskChecklist": "485e360c-005b-4eb2-b969-5b8d74c38203"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isChecked": true,  "weight": 0}